describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/meals')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/forparents')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/meals')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Breakfast')
            .should('contain', 'Lunch')
            .should('contain', 'Dinner')
            .should('contain', 'Dessert')
            .should('contain', 'Drinks')
            .should('contain', 'Snacks')
        })
        it('breakfasts link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/breakfast')
          })
          it('lunches link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/lunch')
          })
          it('dinners link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/dinner')
          })
          it('desserts link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/dessert')
          })
          it('drinks link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/drinks')
          })
          it('snacks link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/snacks')
          })
    })